当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 又郁闷了,2.6.24-16 没有受限的显卡驱动了。。。15还识别呢阿
帖子发表于 : 2008-04-13 10:27 

注册: 2008-03-21 13:55
帖子: 10
地址: 吉林长春
送出感谢: 0 次
接收感谢: 0 次
昨天升级到2.6.24-16没法进系统。今天又更新了,可以进了,但是显卡驱动无缘无故不能识别了。。。。。
我是nvidia的显卡,在受限的显卡驱动里面找不到受限的显卡。装其他的驱动还是没有反应。。


现在就是直接说jockey-gtk程序异常关闭,,,, 重新安装也不行了。。。莫非只能重做系统了?。期待高手阿!! :oops:


最后由 guchongbo 编辑于 2008-04-13 22:57,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-13 11:13 

注册: 2006-01-18 18:11
帖子: 254
送出感谢: 0 次
接收感谢: 0 次
记得手动安装linux-ubuntu-modules包,每次这个包都没有自动升级。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-13 12:00 

注册: 2008-04-13 11:59
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
我是ATI显卡,没问题!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-04-13 12:25 
头像

注册: 2008-04-09 21:24
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
alteeno 写道:
记得手动安装linux-ubuntu-modules包,每次这个包都没有自动升级。


我也是楼主的问题。 这个包可以在ctrl art f2的界面下 直接 apt-get linux-ubuntu-modules 麽?


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-04-13 22:57 

注册: 2008-03-21 13:55
帖子: 10
地址: 吉林长春
送出感谢: 0 次
接收感谢: 0 次
自己顶一下,,,实在很着急


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 又郁闷了,2.6.24-16 没有受限的显卡驱动了。。。15还识别呢阿
帖子发表于 : 2008-04-14 0:32 

注册: 2008-03-20 0:24
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
guchongbo 写道:
昨天升级到2.6.24-16没法进系统。今天又更新了,可以进了,但是显卡驱动无缘无故不能识别了。。。。。
我是nvidia的显卡,在受限的显卡驱动里面找不到受限的显卡。装其他的驱动还是没有反应。。


现在就是直接说jockey-gtk程序异常关闭,,,, 重新安装也不行了。。。莫非只能重做系统了?。期待高手阿!! :oops:

jockey-gtk。。。。我也是这个异常关闭之后莫名的分辨率就变成800*640,怎么改,一重启就变回去,简直像是在嘲笑我。。。。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-04-14 0:39 

注册: 2006-10-20 5:55
帖子: 148
送出感谢: 0 次
接收感谢: 0 次
我3D没事
就是受限驱动这个程序打不开,也不知道怎么回事.
显卡驱动不是受限驱动了?


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-04-14 18:59 

注册: 2007-01-22 14:41
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
手动安装官方显卡驱动吧。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-04-14 22:49 

注册: 2007-03-08 9:57
帖子: 85
地址: Rockville MD
送出感谢: 0 次
接收感谢: 0 次
jarod007 写道:
我3D没事
就是受限驱动这个程序打不开,也不知道怎么回事.
显卡驱动不是受限驱动了?


我的也是受限驱动这个程序打不开了。ATI 9600的卡。


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 又郁闷了,2.6.24-16 没有受限的显卡驱动了。。。15还识别呢阿
帖子发表于 : 2008-04-14 23:02 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
guchongbo 写道:
昨天升级到2.6.24-16没法进系统。今天又更新了,可以进了,但是显卡驱动无缘无故不能识别了。。。。。
我是nvidia的显卡,在受限的显卡驱动里面找不到受限的显卡。装其他的驱动还是没有反应。。


现在就是直接说jockey-gtk程序异常关闭,,,, 重新安装也不行了。。。莫非只能重做系统了?。期待高手阿!! :oops:


这是一个bug, launchpad.net 上也有人解决方案了


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-04-14 23:11 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
代码:
the api in guidance-backends, namely in /usr/share/python-support/guidance-backends/xorgconfig.py seems to have changed. This causes self.xorg_conf to be a tuple of XorgConfig and bool rather than a simple XorgConfig.

Changing line 60 in /usr/lib/python2.5/site-packages/jockey/xorg_driver.py from
                self.xorg_conf = xorgconfig.readConfig(OSLib.inst.xorg_conf_path)
to
                self.xorg_conf = xorgconfig.readConfig(OSLib.inst.xorg_conf_path)[0]

fixes the problem. I'm not sure what one could use the boolean value in the tuple for since it looks like an XorgConfig instance is created anyways or an Exception raised. And in anyy case xorg_driver.py simply fills in None if there was an exception. Anyway it might still be bad style to simply ignore that bool. Yet it seems to work. diff -Nurp is attatched.


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-04-14 23:15 
头像

注册: 2007-08-11 20:54
帖子: 777
地址: 广州
送出感谢: 0 次
接收感谢: 0 次
手动驱动最好的


_________________
人的生命是有限的,但是享受Linux的乐趣是无限的!
http://www.liangsuilong.info


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2008-04-15 7:07 
头像

注册: 2007-11-24 20:39
帖子: 112
送出感谢: 0 次
接收感谢: 0 次
新历德里有的,你先uname -a看一下你的内核,然后在新历德里搜索nvidia,然后会出现几个受限驱动,你找到和你内核对应的那一个mark一下,选择安装就可以了,新历德里面的软件对应的版本号受画面的限制显示不完整,你把版本号那一栏拖动放到最大,15、16都有的。


附件:
Screenshot.png
Screenshot.png [ 124.05 KiB | 被浏览 856 次 ]



_________________
http://janzx.blog.ubuntu.org.cn/
页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译